# Class PostOfferReply

#### Hierarchy

- unknown
  - PostOfferReply

- Defined in src/protobuf/grpc_pb.d.ts:1572
- Defined in src/protobuf/grpc_pb.d.ts:1586

#####
Index

### Constructors

constructor

### Methods

clearOffer
getOffer
hasOffer
serializeBinary
setOffer
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new PostOfferReply(): PostOfferReply

- #### Returns PostOfferReply

  Inherited from jspb.Message.constructor

## Methods

### clearOffer

- clearOffer(): PostOfferReply

- #### Returns PostOfferReply

  - Defined in src/protobuf/grpc_pb.d.ts:1576

### getOffer

- getOffer(): undefined | OfferInfo

- #### Returns undefined | OfferInfo

  - Defined in src/protobuf/grpc_pb.d.ts:1573

### hasOffer

- hasOffer(): boolean

- #### Returns boolean

  - Defined in src/protobuf/grpc_pb.d.ts:1575

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:1578

### setOffer

- setOffer(value?: OfferInfo): PostOfferReply

- #### Parameters

  - ##### `Optional` value: OfferInfo

  #### Returns PostOfferReply

  - Defined in src/protobuf/grpc_pb.d.ts:1574

### toObject

- toObject(includeInstance?: boolean): PostOfferReply.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns PostOfferReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1579

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): PostOfferReply

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns PostOfferReply

  - Defined in src/protobuf/grpc_pb.d.ts:1582

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: PostOfferReply, reader: BinaryReader): PostOfferReply

- #### Parameters

  - ##### message: PostOfferReply

  - ##### reader: BinaryReader

  #### Returns PostOfferReply

  - Defined in src/protobuf/grpc_pb.d.ts:1583

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: PostOfferReply, writer: BinaryWriter): void

- #### Parameters

  - ##### message: PostOfferReply

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:1581

### `Static` toObject

- toObject(includeInstance: boolean, msg: PostOfferReply): PostOfferReply.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: PostOfferReply

  #### Returns PostOfferReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1580

Generated using TypeDoc